# -*- coding: utf-8 -*-
# Copyright 2018 Joshua Bronson. All Rights Reserved.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

"""Define bidict package metadata."""


# _version.py is generated by setuptools_scm (via its `write_to` param, see setup.py)
try:
    from ._version import version
except (ImportError, ValueError, SystemError):  # pragma: no cover
    from pkg_resources import get_distribution, DistributionNotFound
    try:
        __version__ = get_distribution('bidict').version
    except DistributionNotFound:
        __version__ = '0.0.0.VERSION_NOT_FOUND'
else:
    __version__ = version


__author__ = u'Joshua Bronson'
__maintainer__ = u'Joshua Bronson'
__copyright__ = u'Copyright 2018 Joshua Bronson'
__email__ = u'jab@math.brown.edu'

# see ../docs/thanks.rst.inc
__credits__ = [i.strip() for i in u"""
Joshua Bronson, Michael Arntzenius, Francis Carr, Gregory Ewing, Raymond Hettinger, Jozef Knaperek,
Daniel Pope, Terry Reedy, David Turner, Tom Viner
""".split(u',')]

__description__ = u'Efficient, Pythonic bidirectional map implementation and related functionality'

__license__ = u'MPL 2.0'
__status__ = u'Beta'
